Subject: Re: bug#4924: Emacs No Longer Reads Mac Text Files

From: Kenichi Handa <[email-masked]>
Date: Tue, 17 Nov 2009 10:33:17 +0900

In article <[email-masked]>, Leif Strand <[email-masked]> writes:

> Glad to hear that CR support is still there.  Indeed, I've played with 
> it a bit more, and it seems that trivial examples do work.

> I can't figure out what algorithm Emacs is using to guess the kind of 
> text file.  So anyway, I've attached a tarball containing two files:

> * ozymandias.txt:  This a trivial example which does work.  It was 
> created in BBEdit 4.5.

> * SqueakV1-18.sources:  This is the file that triggered my complaint. 
> Emacs 21 correctly identified this as a Mac file.  In Emacs v23.1.50.1, 
> I see one long line with a bunch of ^M characters.

Emacs now detects a file that contains NULL bytes as binary
file and use `no-conversion' for reading that file (see the
docstring of the variable `inhibit-null-byte-detection').
And SqueakV1-18.sources cotains NULL bytes at line 26527.
When I delete that line, the file is correctly detected as
Mac-eol format.

---
Kenichi Handa
[email-masked]